[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCustomConnection.Destroy

Remove the TCustomconnection instance from memory

## Declaration

Source position: db.pas line 2031

`public destructor TCustomConnection.Destroy; override;`

## Description

Destroy closes the connection, and then calls the inherited destructor.

## Errors

If an exception is raised during the disconnect process, an exception will be raise, and the instance is not removed from memory.

## See also

TCustomConnection.Close |  | Close the connection